'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('./chunks/index-90e6bada.js');
var React = require('react');

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () {
                        return e[k];
                    }
                });
            }
        });
    }
    n['default'] = e;
    return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);

var Styles = {
    "inputPopUpWrpper": {
        width: "300px",
        height: "auto",
        position: "fixed",
        bottom: "calc(20px + 50px + 20px + 10px)",
        right: "10px",
        display: "flex",
        flexWrap: "wrap",
        boxShadow: "0 1px 3px 0 rgb(0 0 0 / 10%), 0 1px 2px 0 rgb(0 0 0 / 6%)",
        padding: "10px",
        borderRadius: "4px"
    },
    fWidth: {
        width: "100%"
    },
    inputPopUpWrpperInputName: {
        padding: "10px",
        height: "20px",
        marginBottom: "10px",
        border: "1px solid var(--color-input-border)",
        borderRadius: "4px"
    },
    inputPopUpWrpperInputMessage: {
        height: "40px",
        padding: "10px",
        marginBottom: "10px",
        resize: "none",
        border: "1px solid var(--color-input-border)",
        borderRadius: "4px"
    },
    inputPopUpWrppersendMessage: {
        backgroundColor: "var(--color-background)",
        border: "none",
        outline: "none",
        color: "var(--color-font)",
        padding: "10px 0",
        cursor: "pointer",
        borderRadius: "4px"
    },
    myMessage: {
        textAlign: 'right'
    },
    messageItem: {
        display: 'block',
        padding: '3px 5px'
    },
    messageContainer: {
        padding: '5px 0px',
        maxHeight: '200px',
        overflow: 'auto',
        width: '100%'
    }
};
function InputPopUP(props) {
    // const [name, setName] = React.useState("Bob Doe");
    var _a = React__namespace.useState(""), message = _a[0], setMessage = _a[1];
    var _b = React__namespace.useState([]), messages = _b[0], setMessages = _b[1];
    var uid = props.uid, firebaseDatabase = props.firebaseDatabase;
    var messageListenCallbackFunc = function (data) {
        console.log("data received: ", data);
        var output = [];
        for (var i in data) {
            output.push(data[i]);
        }
        setMessages(output);
    };
    var errorFunction = function (error) {
        console.log("error occured: ", error);
    };
    React__namespace.useEffect(function () {
        index.messageListenerById({ firebaseDatabase: props.firebaseDatabase, callback: messageListenCallbackFunc, uid: props.uid, errorCallback: errorFunction });
    }, []);
    function sendMessage() {
        index.addMessage({
            messageBody: {
                message: message,
                name: "name",
                readStatus: false,
                senderUid: uid
            },
            firebaseDatabase: firebaseDatabase,
            callback: function () { },
            uid: uid
        });
        setMessage('');
    }
    return (React__namespace.createElement("div", { style: Styles.inputPopUpWrpper },
        React__namespace.createElement("div", { style: Styles.messageContainer }, messages.map(function (item) {
            if (item.senderUid === uid) {
                return React__namespace.createElement("p", { style: index.__assign(index.__assign({}, Styles.myMessage), Styles.messageItem) }, item.message);
            }
            return React__namespace.createElement("p", { style: Styles.messageItem }, item.message);
        })),
        React__namespace.createElement("textarea", { style: index.__assign(index.__assign({}, Styles.inputPopUpWrpperInputMessage), Styles.fWidth), placeholder: message, value: message, onChange: function (e) { return setMessage(e.target.value); } }),
        React__namespace.createElement("button", { style: index.__assign(index.__assign({}, Styles.inputPopUpWrppersendMessage), Styles.fWidth), onClick: function () { return sendMessage(); } }, "Send")));
}

exports.default = InputPopUP;
